Sync Groups - List Logs
동기화 그룹 로그의 컬렉션을 가져옵니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?startTime={startTime}&endTime={endTime}&type={type}&api-version=2023-08-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?startTime={startTime}&endTime={endTime}&type={type}&continuationToken={continuationToken}&api-version=2023-08-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
동기화 그룹이 호스트되는 데이터베이스의 이름입니다. |
|
resource
|
path | True |
string |
리소스를 포함하는 리소스 그룹의 이름입니다. Azure Resource Manager API 또는 포털에서 이 값을 가져올 수 있습니다. |
|
server
|
path | True |
string |
서버의 이름입니다. |
|
subscription
|
path | True |
string |
Azure 구독을 식별하는 구독 ID입니다. |
|
sync
|
path | True |
string |
동기화 그룹의 이름입니다. |
|
api-version
|
query | True |
string |
요청에 사용할 API 버전입니다. |
|
end
|
query | True |
string |
이 시간 전에 생성된 로그를 가져옵니다. |
|
start
|
query | True |
string |
이 시간 이후에 생성된 로그를 가져옵니다. |
|
type
|
query | True |
검색할 로그의 형식입니다. |
|
|
continuation
|
query |
string |
이 작업에 대한 연속 토큰입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
동기화 그룹 로그를 성공적으로 검색했습니다. |
|
| Other Status Codes |
오류 응답: ***
|
예제
Get sync group logs
샘플 요청
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187/logs?startTime=2017-01-01T00:00:00&endTime=2017-12-31T00:00:00&type=All&api-version=2023-08-01
샘플 응답
{
"value": [
{
"timestamp": "2017-05-30T07:16:08.25Z",
"type": "Success",
"source": "syncgroupcrud-8475.database.windows.net/hub",
"details": "Schema information obtained successfully.",
"tracingId": "c0480c8e-6269-424e-9404-b00efce0ebae",
"operationStatus": "SchemaRefreshSuccess"
},
{
"timestamp": "2017-05-30T07:03:37.5733333Z",
"type": "Error",
"source": "syncgroupcrud-8475.database.windows.net/member",
"details": "Getting schema information for the database failed with the exception \"Failed to connect to server .\nInner exception: SqlException Error Code: -2146232060 - SqlError Number:53, Message: A network-related or instance-specific error occurred while establishing a connection to SQL Server. The server was not found or was not accessible. Verify that the instance name is correct and that SQL Server is configured to allow remote connections. (provider: Named Pipes Provider, error: 40 - Could not open a connection to SQL Server) \nInner exception: The network path was not found\n For more information, provide tracing ID ‘cd3aa28c-0c31-471f-8a77-f1b21c908cbd’ to customer support.\"",
"tracingId": "cd3aa28c-0c31-471f-8a77-f1b21c908cbd",
"operationStatus": "SchemaRefreshFailure"
}
]
}
정의
| Name | Description |
|---|---|
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
Sync |
동기화 그룹 로그 속성 목록입니다. |
|
Sync |
Azure SQL Database 동기화 그룹 로그의 속성입니다. |
|
Sync |
동기화 그룹 로그의 유형입니다. |
|
Sync |
검색할 로그의 형식입니다. |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
SyncGroupLogListResult
동기화 그룹 로그 속성 목록입니다.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string |
결과의 다음 페이지를 검색하는 링크입니다. |
| value |
결과 배열입니다. |
SyncGroupLogProperties
Azure SQL Database 동기화 그룹 로그의 속성입니다.
| Name | 형식 | Description |
|---|---|---|
| details |
string |
동기화 그룹 로그의 세부 정보입니다. |
| operationStatus |
string |
동기화 그룹 로그의 OperationStatus입니다. |
| source |
string |
동기화 그룹 로그의 원본입니다. |
| timestamp |
string (date-time) |
동기화 그룹 로그의 타임스탬프입니다. |
| tracingId |
string (uuid) |
동기화 그룹 로그의 TracingId입니다. |
| type |
동기화 그룹 로그의 유형입니다. |
SyncGroupLogType
동기화 그룹 로그의 유형입니다.
| 값 | Description |
|---|---|
| All | |
| Error | |
| Warning | |
| Success |
SyncGroupsType
검색할 로그의 형식입니다.
| 값 | Description |
|---|---|
| All | |
| Error | |
| Warning | |
| Success |